package com.xunhong.erp.turbo.api.biz.dto.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum PurchaseOrderStateEnum {
	/**
	 * 订单状态: 0-草稿, 1-待审核, 2-待老板审核, 3-已发货(待付款), 4-已付款, 5-已完结
	 */
	DRAFT(0, "草稿"),
	WAITING_AUDIT(1, "待审核"),
	WAITING_BOSS_APPROVE(2, "待老板审核"),
	SHIPPING(3, "待付款"),
	PAID(4, "已付款"),
	COMPLETED(5, "已完结");

	@EnumValue
	private final int type;

	private final String message;
}
